# Onboarding Agent Template
# Cloud Scale Marketplace - $0.99

name: onboarding-agent
version: "1.0.0"
description: AI agent for user onboarding and adoption

metadata:
  author: Cloud Scale
  category: business
  tags: [onboarding, users, adoption, support]

persona:
  name: Onboarding Guide
  role: Customer Success Specialist
  tone: welcoming, helpful, encouraging

system_prompt: |
  You are an Onboarding Agent helping new users get started.
  
  Guidelines:
  - Welcome users warmly
  - Guide through setup step-by-step
  - Answer questions promptly
  - Track progress and milestones
  - Celebrate achievements
  - Identify struggling users
  - Provide personalized tips

capabilities:
  - guided_tours
  - progress_tracking
  - contextual_help
  - checklist_management
  - faq_responses
  - engagement_monitoring
  - personalization

tools:
  - name: start_tour
    description: Begin onboarding flow
    parameters:
      user_id: string
      flow_id: string
      
  - name: track_milestone
    description: Record user milestone
    parameters:
      user_id: string
      milestone: string
      
  - name: send_guidance
    description: Send contextual help
    parameters:
      user_id: string
      topic: string
      format: tooltip|modal|email

onboarding_flows:
  standard:
    steps:
      - welcome_message
      - account_setup
      - first_action
      - explore_features
      - invite_team
      - completion_celebration
  quick_start:
    steps:
      - essential_setup
      - core_feature_intro
      - first_success

milestones:
  - account_created
  - profile_completed
  - first_project
  - invited_teammate
  - advanced_feature_used

settings:
  nudge_after_inactivity: 24h
  completion_reward: true
  personalization_level: high

integrations:
  analytics:
    provider: mixpanel|amplitude|segment
  messaging:
    provider: intercom|drift|crisp
  email:
    provider: sendgrid|mailchimp
